Bug 122982 - LibreOffice Calc cut/paste image anchored to cell not functioning as expected
Summary: LibreOffice Calc cut/paste image anchored to cell not functioning as expected
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.4.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.3.0 target:6.1.6 target:6.2.2
Keywords:
Depends on:
Blocks: Calc-Images
  Show dependency treegraph
 
Reported: 2019-01-25 20:31 UTC by Anthony Chaplin
Modified: 2019-05-15 07:05 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
cell image demo (20.66 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-01-26 14:58 UTC, Oliver Brinzing
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Chaplin 2019-01-25 20:31:18 UTC
Description:
Found a bug when cutting a cell with image anchored, it doesn't remove the image from the original cell.


Steps to Reproduce:
1.)Anchor image to A1
2.)select cell A1
3.)cut via right mouse click menu
4.)paste into cell B1. 

Actual Results:
Image appears in cell B1. Image also remains in cell A1. 

Expected Results:
When using "cut" image in A1 should disappear.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Roman Kuznetsov 2019-01-26 07:02:18 UTC
repro in

Версия: 6.1.4.2
ID сборки: 1:6.1.4-0ubuntu0.18.10.1
Потоков ЦП: 4; ОС:Linux 4.18; Отрисовка ИП: по умолчанию; VCL: gtk3_kde5; 
Локаль: ru-RU (ru_RU.UTF-8); Calc: group threaded
Comment 2 Oliver Brinzing 2019-01-26 14:58:58 UTC
Created attachment 148677 [details]
cell image demo

reproducible with image anchored to cell A1, but not with image 
anchored to cell A5 from attached sample

Version: 6.1.5.1 (x64)
Build-ID: f18954c1ba9116b85c32b6bdbc0188d3e0fd24c7
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc:
Comment 3 Commit Notification 2019-02-15 07:01:12 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e756b6f310f309ac29bb2bce92309bb74edd788d%5E%21

tdf#122982 Remove image from cell when cutting the cell

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-02-19 12:45:41 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/e1a283b7b353f897b2f85bb1552ff0df3f024e67%5E%21

tdf#122982 Remove image from cell when cutting the cell

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-02-19 12:45:50 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/09a87abbb17bbfec2eeb8da71fa54052d1200a5d%5E%21

tdf#122982 Remove image from cell when cutting the cell

It will be available in 6.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.